clear;
prec='real*4';
ieee='b';
%% 4 degrees
% nx=90;
% ny=40;
% fid=fopen('bathymetry4.bin','r',ieee); 

%% 2 degrees
nx=180;
ny=90;
fid=fopen('bathy_dagen_2deg.bin','r',ieee);

F_num=fread(fid,[nx,ny],prec); 
fclose(fid);

%% 2 degrees
 [x,y]=meshgrid(linspace(0,358,nx),linspace(-90,88,ny));
%% 1 degrees
% [x,y]=meshgrid(linspace(0,359,nx),linspace(-82,81,ny));
%%
figure
contourf(x,y,F_num')
colorbar
% 

%str = sprintf('Today`s topography with 1%c resolution', char(176));

Fny=[F_num(nx/2:end,:); F_num(1:nx/2-1,:)];
figure
contourf(x,y,Fny')
colorbar
xlabel('Longitude')
ylabel('Latitude')
%title(sprintf('\bf %s',str))
% 
[xny,yny]=meshgrid(linspace(-180,180,nx),linspace(-90,88,ny));
figure
surf(xny,yny,Fny')
view(0,90)
%shading('interp')
colorbar
xlim([-180,180])
ylim([-90 88])
xlabel('Longitude')
ylabel('Latitude')
title('\bf Todays topography 2 deg')
%title(s)

%caxis([-800 0])

%[y,x]=meshgrid(linspace(0,360,nx),linspace(-40,40,ny));
nlong=25:52;
nlat=30:40;
figure
contourf(xny(nlat,nlong),yny(nlat,nlong),Fny(nlong,nlat)',35)
%shading('interp')
colorbar

load topo topomap1
figure
surf(xny(nlat,nlong),yny(nlat,nlong),Fny(nlong,nlat)')
view(0,90)
%shading('interp')
colorbar
colormap(topomap1)
xlim([-90,25])
ylim([40 90])
caxis([-650 0])
% 
% % xn=linspace(-90,90,180);
% % yn=linspace(0,360,360);
% % [xn,yn]=meshgrid(xn,yn);
% % %contourf(yn,xn,topo')
% % figure
% % surf(yn,xn,topo')
% % view(0,90)
% % colorbar
% % colormap(topomap1)
% % caxis([-650 0])
% % xlim([300 360])
% % ylim([40 80])